MyGUI: MyGUI::ScrollViewBase Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Protected Member Functions | Protected Attributes
MyGUI::ScrollViewBase Class Reference

`#include <MyGUI_ScrollViewBase.h>`

Inheritance diagram for MyGUI::ScrollViewBase:
[legend]

## Protected Member Functions
| ScrollViewBase ()
virtual | ~ScrollViewBase ()=default
void | updateScrollSize ()
void | updateScrollPosition ()
virtual IntSize | getContentSize () const
virtual IntPoint | getContentPosition () const
virtual void | setContentPosition (const IntPoint &_value)
virtual IntSize | getViewSize () const
virtual size_t | getHScrollPage () const
virtual size_t | getVScrollPage () const
virtual Align | getContentAlign () const
virtual void | eraseContent ()

## Protected Attributes
ScrollBar * | mVScroll
ScrollBar * | mHScroll
Widget * | mScrollViewClient
bool | mVisibleHScroll
bool | mVisibleVScroll
size_t | mVRange
size_t | mHRange
bool | mChangeContentByResize

## Detailed Description

Definition at line 16 of file MyGUI_ScrollViewBase.h.

## Constructor & Destructor Documentation

## ◆ ScrollViewBase()

MyGUI::ScrollViewBase::ScrollViewBase | ( |  | ) |
| protected

Definition at line 14 of file MyGUI_ScrollViewBase.cpp.

## ◆ ~ScrollViewBase()

virtual MyGUI::ScrollViewBase::~ScrollViewBase | ( |  | ) |
| protectedvirtualdefault

## Member Function Documentation

## ◆ eraseContent()

void MyGUI::ScrollViewBase::eraseContent | ( |  | ) |
| protectedvirtual

Definition at line 343 of file MyGUI_ScrollViewBase.cpp.

## ◆ getContentAlign()

Align MyGUI::ScrollViewBase::getContentAlign | ( |  | ) | const
| protectedvirtual

Definition at line 338 of file MyGUI_ScrollViewBase.cpp.

## ◆ getContentPosition()

IntPoint MyGUI::ScrollViewBase::getContentPosition | ( |  | ) | const
| protectedvirtual

Definition at line 314 of file MyGUI_ScrollViewBase.cpp.

## ◆ getContentSize()

IntSize MyGUI::ScrollViewBase::getContentSize | ( |  | ) | const
| protectedvirtual

Definition at line 309 of file MyGUI_ScrollViewBase.cpp.

## ◆ getHScrollPage()

size_t MyGUI::ScrollViewBase::getHScrollPage | ( |  | ) | const
| protectedvirtual

Definition at line 328 of file MyGUI_ScrollViewBase.cpp.

## ◆ getViewSize()

IntSize MyGUI::ScrollViewBase::getViewSize | ( |  | ) | const
| protectedvirtual

Reimplemented in MyGUI::ItemBox.

Definition at line 323 of file MyGUI_ScrollViewBase.cpp.

## ◆ getVScrollPage()

size_t MyGUI::ScrollViewBase::getVScrollPage | ( |  | ) | const
| protectedvirtual

Definition at line 333 of file MyGUI_ScrollViewBase.cpp.

## ◆ setContentPosition()

void MyGUI::ScrollViewBase::setContentPosition | ( | const IntPoint & | _value | ) |
| protectedvirtual

Definition at line 319 of file MyGUI_ScrollViewBase.cpp.

## ◆ updateScrollPosition()

void MyGUI::ScrollViewBase::updateScrollPosition | ( |  | ) |
| protected

Definition at line 230 of file MyGUI_ScrollViewBase.cpp.

## ◆ updateScrollSize()

void MyGUI::ScrollViewBase::updateScrollSize | ( |  | ) |
| protected

Definition at line 26 of file MyGUI_ScrollViewBase.cpp.

## Field Documentation

## ◆ mChangeContentByResize

bool MyGUI::ScrollViewBase::mChangeContentByResize
| protected

Definition at line 55 of file MyGUI_ScrollViewBase.h.

## ◆ mHRange

size_t MyGUI::ScrollViewBase::mHRange
| protected

Definition at line 52 of file MyGUI_ScrollViewBase.h.

## ◆ mHScroll

ScrollBar* MyGUI::ScrollViewBase::mHScroll
| protected

Definition at line 45 of file MyGUI_ScrollViewBase.h.

## ◆ mScrollViewClient

Widget* MyGUI::ScrollViewBase::mScrollViewClient
| protected

Definition at line 46 of file MyGUI_ScrollViewBase.h.

## ◆ mVisibleHScroll

bool MyGUI::ScrollViewBase::mVisibleHScroll
| protected

Definition at line 48 of file MyGUI_ScrollViewBase.h.

## ◆ mVisibleVScroll

bool MyGUI::ScrollViewBase::mVisibleVScroll
| protected

Definition at line 49 of file MyGUI_ScrollViewBase.h.

## ◆ mVRange

size_t MyGUI::ScrollViewBase::mVRange
| protected

Definition at line 51 of file MyGUI_ScrollViewBase.h.

## ◆ mVScroll

ScrollBar* MyGUI::ScrollViewBase::mVScroll
| protected

Definition at line 44 of file MyGUI_ScrollViewBase.h.

The documentation for this class was generated from the following files:

- MyGUI_ScrollViewBase.h
- MyGUI_ScrollViewBase.cpp